curl --request GET \
--url https://api.formizee.com/v1/endpoints \
--header 'Authorization: Bearer <token>'{
"_metadata": {
"totalPages": 2,
"page": 1,
"itemsPerPage": 100
},
"endpoints": [
{
"id": "enp_4VjHrJoEwAFC6itz8oUBW9NW2bia",
"workspaceId": "ws_4VjHrJoEwAFC6itz8oUBW9NW2bia",
"slug": "my-endpoint",
"name": "My Endpoint",
"targetEmails": [
"[email protected]",
"[email protected]"
],
"isEnabled": true,
"emailNotifications": false,
"redirectUrl": "https://example.com/thanks-you",
"icon": "bolt",
"color": "pink"
}
]
}curl --request GET \
--url https://api.formizee.com/v1/endpoints \
--header 'Authorization: Bearer <token>'{
"_metadata": {
"totalPages": 2,
"page": 1,
"itemsPerPage": 100
},
"endpoints": [
{
"id": "enp_4VjHrJoEwAFC6itz8oUBW9NW2bia",
"workspaceId": "ws_4VjHrJoEwAFC6itz8oUBW9NW2bia",
"slug": "my-endpoint",
"name": "My Endpoint",
"targetEmails": [
"[email protected]",
"[email protected]"
],
"isEnabled": true,
"emailNotifications": false,
"redirectUrl": "https://example.com/thanks-you",
"icon": "bolt",
"color": "pink"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
x >= 1x >= 1Retrieve a list of endpoints
Show child attributes
The id of the endpoint
"enp_4VjHrJoEwAFC6itz8oUBW9NW2bia"
The id of the workspace
"ws_4VjHrJoEwAFC6itz8oUBW9NW2bia"
The slug of the endpoint
4 - 64"my-endpoint"
The name of the endpoint
4 - 64"My Endpoint"
[
"[email protected]",
"[email protected]"
]The state of the endpoint. If is false, the endpoint don't receive more submissions
true
The state of the email notifications. If is true, the endpoint will send a notification for each submission created
false
The redirect url of the endpoint. When a user send a submission through a form, will be redirected to this url.
"https://example.com/thanks-you"
The icon of the endpoint
file, file-chart, start, bookmark, heart, flag, bolt, bell, lightbulb, credit-card, stack, cube, database, server, inbox, calendar, mail, checkcircle, book, chat, user-group, console, tools, grid, moon, sun, cloud, cart, gift, music, beaker, video, code, maps, face-smile, face-frown, paint, bug, school, rocket "bolt"
The color the endpoint icon
gray, amber, red, lime, teal, cyan, indigo, violet, pink, white "pink"
Was this page helpful?